Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.types.selectors
Interface SelectorScanner

All Known Implementing Classes:
  DirectoryScanner

public interface SelectorScanner

An interface used to describe the actions required by any type of directory scanner that supports Selecters.

Since:
  1.5
Author:
  Bruce Atherton

Method Summary
`java.lang.String[]` | `getDeselectedDirectories()` Directories which were selected out of a scan.
`java.lang.String[]` | `getDeselectedFiles()` Files which were selected out of a scan.
`void` | `setSelectors(FileSelector[] selectors)` Sets the selectors the scanner should use.

Method Detail

### setSelectors

    public void setSelectors(FileSelector[] selectors)

  Sets the selectors the scanner should use.

  Parameters:
    `selectors` - the list of selectors

### getDeselectedDirectories

    public java.lang.String[] getDeselectedDirectories()

  Directories which were selected out of a scan.

### getDeselectedFiles

    public java.lang.String[] getDeselectedFiles()

  Files which were selected out of a scan.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.